--- title: "Get dashboard" slug: "analytics-vpcsearchengine-dashboard-getdashboardinfo" tags: ["Search Engine Service"] updated: 2026-09-17T09:50:01Z published: 2026-09-17T09:50:01Z canonical: "api.ncloud-docs.com/analytics-vpcsearchengine-dashboard-getdashboardinfo" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get dashboard Available in VPC Get the dashboard that displays search engine cluster information. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/dashboard/getDashboardInformation/{serviceGroupInstanceNo} (Korea Region) | | GET | /api/sgn-v2/dashboard/getDashboardInformation/{serviceGroupInstanceNo} (Singapore Region) | | GET | /api/jpn-v2/dashboard/getDashboardInformation/{serviceGroupInstanceNo} (Japan Region) | ### Request headers For information about the headers common to all Search Engine Service APIs, see [Search Engine Service request headers](/docs/en/analytics-vpcsearchengine#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceGroupInstanceNo` | Integer | Required | Cluster instance number - See [Get cluster list](/docs/en/analytics-vpcsearchengine-cluster-getclusterinfolist). | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | Optional | Page number - 1-N (default: 1) | | `pageSize` | Integer | Optional | Page output count - 1-N (default: 10) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://vpcsearchengine.apigw.ntruss.com/api/v2/dashboard/getDashboardInformation/1037****' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.clusterIndicesStatus` | Object | - | Index status information | | `result.clusterIndicesStatus.pageSize` | Integer | - | Page output count | | `result.clusterIndicesStatus.currentPage` | Integer | - | Current page number | | `result.clusterIndicesStatus.totalPage` | Integer | - | Total number of pages | | `result.clusterIndicesStatus.totalCount` | Integer | - | Number of response results | | `result.clusterIndicesStatus.isPaged` | Boolean | - | Whether to page - `true` \| `false` - `true`: paged - `false`: not paged | | `result.clusterIndicesStatus.indiceInfoList` | Array | - | List of indices: [indiceInfoList](/docs/en/analytics-vpcsearchengine-dashboard-getdashboardinfo#indiceInfoList) | | `result.clusterStatus` | Object | - | Cluster status information | | `result.clusterStatus.status` | String | - | Cluster status level - `green` \| `yellow` \| `red` \| `blue` - `green`: running - `yellow`: warning - `red`: error - `blue`: unknown | | `result.clusterStatus.indicesCount` | String | - | Number of indexes (number of nodes) within the cluster | | `result.clusterStatus.shardCount` | String | - | Number of shards in the cluster | | `result.clusterStatus.docsCount` | String | - | Number of documents in the cluster | | `result.clusterStatus.storeSizeInUsed` | String | - | Total disk usage | | `result.clusterStatus.segmentsCount` | String | - | Number of segments in the cluster | | `requestId` | String | - | ID for the request - UUID format | #### `indiceInfoList` The following describes `indiceInfoList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `health` | String | - | Index status level - `green` \| `yellow` \| `red` \| `blue` - `green`: running - `yellow`: warning - `red`: error - `blue`: unknown | | `status` | String | - | Index status | | `indexName` | String | - | Index name | | `uuid` | String | - | Index UUID | | `primaryCount` | String | - | Number of primary shards | | `replicaCount` | String | - | Number of replica shards | | `docsCount` | String | - | Number of documents | | `docsDeleted` | String | - | Number of deleted documents | | `storeSize` | String | - | Disk usage | ### Response status codes For response status codes common to all Search Engine Service APIs, see [Search Engine Service response status codes](/docs/en/analytics-vpcsearchengine#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "clusterIndicesStatus": { "pageSize": 20, "currentPage": 1, "totalPage": 1, "totalCount": 4, "isPaged": true, "indiceInfoList": [ { "health": "green", "status": "open", "indexName": ".plugins-ml-config", "uuid": "sGTZgi9***************", "primaryCount": "1", "replicaCount": "2", "docsCount": "1", "docsDeleted": "0", "storeSize": "12.2kb" }, { "health": "green", "status": "open", "indexName": ".opensearch-observability", "uuid": "tP0IVxG***************", "primaryCount": "1", "replicaCount": "2", "docsCount": "0", "docsDeleted": "0", "storeSize": "624b" }, { "health": "green", "status": "open", "indexName": ".opendistro_security", "uuid": "WiQoV_S***************", "primaryCount": "1", "replicaCount": "2", "docsCount": "10", "docsDeleted": "0", "storeSize": "152.4kb" }, { "health": "green", "status": "open", "indexName": ".kibana_1", "uuid": "Yv5j0mv***************", "primaryCount": "1", "replicaCount": "1", "docsCount": "0", "docsDeleted": "0", "storeSize": "416b" } ] }, "clusterStatus": { "status": "green", "indicesCount": "5", "shardCount": "14", "docsCount": "463", "storeSizeInUsed": "501.9kb", "segmentsCount": "13" } }, "requestId": "826a7452-****-****-****-ae0abcdf6b7b" } ```